GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)

## Protected Attributes
String | trackID
String | parcelNumber
String | partnerParcelNumber

## Detailed Description

Parcel data being returned from createShipment request (meta data, label, pdf, ...)

Java class for ParcelData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ParcelData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## Member Function Documentation

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 83 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 107 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 59 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 95 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 119 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 71 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## Member Data Documentation

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.parcelNumber
| protected

Definition at line 47 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.partnerParcelNumber
| protected

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ParcelData.trackID
| protected

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ParcelData.java